/* 
 * mktmptbl.c
 *
 * This file contains a function for initializing a lookup-table that
 * is used for finding "temp" values for a given "key3" (refer to the paper if
 * you want to know what "temp" and "key3" are).
 *
 * (C) by Peter Conrad <conrad@unix-ag.uni-kl.de>
 *
 * $Id: mktmptbl.c,v 1.5 1997/09/18 18:18:39 lucifer Release1_2_1 $
 *
 * $Log: mktmptbl.c,v $
 * Revision 1.5  1997/09/18 18:18:39  lucifer
 * Added comment, moved DJGPP-specific #defines into mktmptbl.h
 *
 * Revision 1.4  1996/08/13 13:19:19  conrad
 * Changed name to support OS with short filenames... :-/
 *
 * Revision 1.3  1996/06/23 12:34:08  lucifer
 * #defined ushort for DJGPP
 *
 */

static char RCSID[]="$Id: mktmptbl.c,v 1.5 1997/09/18 18:18:39 lucifer Release1_2_1 $";

#include <stdio.h>
#include "mktmptbl.h"

ushort tempTable[256][64];
static int numEntries[256];

void preCompTemp( )
{
ushort	temp;
byte	key3;

    for( temp = 0; temp < 256; temp++ )
	numEntries[temp] = 0;

    temp = 65532;
    do{
	temp += 4;
	key3 = (((temp|2) * (temp|3))>>8)&0xff;
	tempTable[key3][numEntries[key3]++] = temp;
	if( numEntries[key3] > 64 )
	    fprintf( stderr, "Warning! Lookup-table corrupted!\n" );
    }while( temp < 65532 );
}
